<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>XML Read File</title>
</head>
<body>
  <div id="demo"></div>
</body>
  <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
  <script>
  	texto="";
    $(document).ready(function(){
      $.get("../files/xml/12345.xml",{},function(xml){
        alert(xml);
        $('entry',xml).each(function(i) {
          var valor1 = ((xml.getElementsByTagName('cfdi:Concepto')[i]).childNodes[0]).nodeValue;
          var valor2 = ((xml.getElementsByTagName('cfdi:Concepto')[i]).childNodes[1]).nodeValue;
          var valor3 = ((xml.getElementsByTagName('cfdi:Concepto')[i]).childNodes[2]).nodeValue;
          
          texto=texto+valor1+valor2+valor3;
        });
      });
    });
    alert("valores "+txto);
  </script>
</html>